Subject: Re: skb_checksum_help

From: "David S. Miller" <[email-masked]>
Date: Mon, 24 Jan 2005 18:03:54 -0800

On Tue, 25 Jan 2005 03:01:18 +0100
Thomas Graf <[email-masked]> wrote:

> * Herbert Xu <[email-masked]> 2005-01-25 12:48
> > On Tue, Jan 25, 2005 at 02:45:38AM +0100, Thomas Graf wrote:
> > > 
> > > Still, one problem remains, even if ip_summed was incorrect,
> > > skb_checksum_help should never be called in dev_queue_xmit for the
> > > acenic driver since it sets NETIF_F_IP_CSUM. For some reason, features
> > > is set to 0 while checking for it.
> > 
> > Didn't he say that he cleared the features bits in the acenic driver?
> 
> He changed it back to the original version, I just checked with him.
> 
> > BTW, is he using acenic for both the LAN and the WAN? If he's only
> > using it on the WAN side, then the LAN side might not be CSUM capable.
> 
> The packets get routed back over the same physical interface.

I think I see what is happening, it's the virtual VLAN device which
has dev->features set to zero not the acenic's netdev struct.